import 'package:dio/dio.dart';

abstract class IApiClient {
  Future<Response<T>> get<T>(String path, {Options? options});
  Future<Response<T>> post<T>(String path, {dynamic data, Options? options});
  Future<Response<T>> patch<T>(String path, {dynamic data, Options? options});
  Future<Response<T>> delete<T>(String path, {dynamic data, Options? options});
}
